using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.BS;
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查明细表")]
    public class T_SK_SECURITY_INSPECTION_NOTICE_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 检查通知表
        /// </summary>
        [Description("检查通知表")]
        [DataFieldForeignKey("Nav_CheckNotice", "Nav_CheckNoticeDetails")]
        public Guid SECURITY_INSPECTION_NOTICE_ID { get; set; }

        /// <summary>
        /// 导航：检查通知表
        /// </summary>
        [Description("导航：检查通知表")]
        public virtual T_SK_SECURITY_INSPECTION_NOTICE Nav_CheckNotice { get; set; }

        /// <summary>
        /// 检查区域
        /// </summary>
        [Description("检查区域")]
        [DataFieldForeignKey("Nav_RiskArea")]
        [FormFieldEdit]
        public Guid? RISK_AREA_ID { get; set; }

        /// <summary>
        /// 导航：检查区域
        /// </summary>
        [Description("导航：检查区域")]
        public virtual T_SK_RISK_AREA Nav_RiskArea { get; set; }

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [DataFieldForeignKey("Nav_Contents")]
        public Guid? CHECK_CONTENTS_ID { get; set; }

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        public virtual T_SK_CHECK_CONTENTS Nav_Contents { get; set; }

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string CHECKCONTENT { get; set; }

        /// <summary>
        /// 检查依据
        /// </summary>
        [Description("检查依据")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string CHECKPROOF { get; set; }

        /// <summary>
        /// 判定标准
        /// </summary>
        [Description("判定标准")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string CHECKSTANDARD { get; set; }
        /// <summary>
        /// 导航属性：检查内容
        /// </summary>
        [Description("导航：检查内容")]
        [DataFieldIngore]
        public virtual ICollection<T_SK_SECURITY_INSPECTION_NOTICE_DETAIL> Nav_DetailContents { get; set; }
        /// <summary>
        /// 导航属性：检查明细人员
        /// </summary>
        [Description("导航：检查明细人员")]
        public virtual ICollection<T_SK_SECURITY_INSPECTION_NOTICE_DETAIL_USER> Nav_CheckNoticeDetailUsers { get; set; }

        [Description("导航：检查依据")]
        public virtual ICollection<T_SK_SECURITY_INSPECTION_NOTICE_DETAIL_BASIC> Nav_CheckNoticeDetailBasics { get; set; }

        /// <summary>
        /// 顺序
        /// </summary>
        [Description("顺序")]
        public int? NUM { get; set; }
    }
}
